Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005122opensim[REGION] OpenSim Corepublic2010-10-22 15:252014-03-06 14:46
Reporterkenvc 
Assigned To 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0005122: Objects such as avatar hair still appears in center hud position
DescriptionIssue still occuring even with the new update just released on 01/17/2011. Long hair and sometimes other objects (but usually hair attaches itself to the center HUD position. Often the hair is so large you cannot use the viewer. Dont try to edit the hair to remove it because that usually causes an immediate crash.

I cleared cache, tried many different viewers and all 3 had the hair there. Only way to get rid of it is to remove ALL huds.

This is still happening to many people and has been happening for a very long time. There appears to be no way around the problem other than to remove all HUDS and leave them off for good, and this still won't prevent invisible hair from attaching itself to the center HUD position as I found out today.
TagsNo tags attached.
Git Revision or version number9f7b37b
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows32, .NET / Windows64
Mono VersionNone
ViewerAll Viewers
Attached Filesjpg file icon r14257-spurious-central-hud-position-attachment.jpg [^] (190,948 bytes) 2010-10-25 08:33


jpg file icon faulty-central-hud-attachment-error.jpg [^] (262,296 bytes) 2010-10-26 09:22
jpg file icon 2012-10-13-OpenSim-0.7.5-OSGrid-Vue-6400-Central-HUD.jpg [^] (195,533 bytes) 2012-10-13 03:36

- Relationships

-  Notes
(0017079)
kenvc (reporter)
2010-10-22 21:46
edited on: 2011-01-22 07:08

After logging in and out, this problem went away after about 4 hours without doing anything. Have since talked to a number of people here that had this same problem, and it does happen again at random times, mostly when moving from one sim to another.

(0017082)
Snoopy (administrator)
2010-10-23 01:15

I also have that problem when I log in with a hud attached to the center. I did move that hud to side using the editing window. Beside the hud I see a strange object in the center. This disappear when I detach and reattach the hud.
(0017083)
Snoopy (administrator)
2010-10-23 01:15

There definitively is a new bug in 0.7
(0017084)
melanie (administrator)
2010-10-23 01:33

This is a very old bug, in that is already existed in early 0.6 versions. It's partially caused by child prims with no root prims, and partially there are real dropped and leftover attachments.
(0017085)
aiaustin (developer)
2010-10-23 02:37
edited on: 2010-10-25 08:05

Thats useful to know melanie. I wonder if there is a good clean up method?

I have seen this in various setups since 0.7 was intrroduced but have not pinned down exactly when it occurs. I have seen it on Mars Sim, OSGrid since it went to 0.7 (but not before), etc. but not on our own Openvue grid.

It seems to be the hair or I am wearing on my avatar, or sometimes one prim from that. Also you canot right click and detach it from the HUID, though you can attach another items to the hufrom inventory (like a new prim youjust created) and that replaces the item.

I think its always the central middle of the screen HID osition hat doe sthis in all the cases I have seen seince the 0.7.0 beta test period.

(0017115)
aiaustin (developer)
2010-10-25 08:08

I wonder if this could be caused by Second Inventory/Stored Inventory when it fails to upload some multi-prim items. As I believe that uses a process of attaching items durig uopload in some way.

I am seeimg tghis a lot with a hair attachment on OS Grid 0.7.1 for exmaple... and I know I had a failed upload via Second Inventory for such an item. Still not sure how to get rid of it. When I attach something in lower left HUD position the hair appears in middle HUD position. Using right click, it can be edited but not "detached". I made it "temporary" using the edit/build tick bioxes to see if that would make it go away. And it has done for now at least.
(0017116)
Snoopy (administrator)
2010-10-25 08:20

I see this displaying bug with objects I did create in OSGrid. I did not use Second Inventory for these objects having this issue. And I did use these attachments for over a year without any problems, using OpenSim 0.6.9. But now with OpenSim 0.7 I always see this happening after logging in with worn HUD attachments. After detaching and reattaching all looks OK again.
(0017121)
LaniGlobal (reporter)
2010-10-25 16:30

Many of these same ghost attachments or ghost hud attachment prims also appear at 0,0,0 in the region.
(0017135)
aiaustin (developer)
2010-10-26 09:22
edited on: 2012-10-15 12:34

On OSGrid, as I crossed across several sandboxes an object appeared in central HFD position and the object changed at the region boundary!. The object is not hair, or a part of hair, not one of mine, is not in my inventory, has never been worn or attached to a HUD position by me etc. Its also owned by someone else who clearly has a sandbox nearby judging by the same "Cornflakes" and the region nearby called "Sandbox Cornflakes"). I looked near 0,0 corner of the sandbox and could not see any visible object there.

See attached image ... faulty-central-hud-attachment-error.jpg
Note image is of an object in central HUD atttachment, not in the 3D space.

(0017165)
LaniGlobal (reporter)
2010-10-28 21:07

Click on these ghost hud prims causes client viewers to crash.

Repro in OSgrid: LBSA Plaza, Wright Plaza using Hippo, Imprudence, and Phoenix viewers.

These ghost hud prims often freshly appear on the hud, upon teleporting into a different sim.

Some of these prims are visible but mostly, they are invisible.

Because of the risk of crash due to this bug, we are now all afraid to click on anything inworld or on the hud.
(0017168)
aiaustin (developer)
2010-10-29 01:38

This bug also occurs in Linden Labs viewers 1.23 and 2.x Mesh Beta
(0017173)
WordfromtheWise (reporter)
2010-10-29 14:06

H .. i just encountered this error the 5th time ..

this time on a SIm thatis running XP PRo 32 bit SP 3 ..
After i received "my" hair on the HUD .. the console windows
spews out / gets flooded with red lines

- Getitem 0000.00000.0000.000
- Getitem 0000.00000.0000.000

I slso crash when try to detach it .. Viewer : Imprudence 1.3 and 1.4 Exp

hope this helps somehow
(0017179)
Kim (reporter)
2010-10-30 00:54
edited on: 2010-10-30 01:11

The problem with hair in the middle of the screen seems conected to the use of HUDS like the AO-HUDS. Turn off the AO and the big hair on the middle of the screen will disapper

The problem doesnt show up if anything is attached wiid "Attach to" instead of "Attach to Hud"´. This is a solution to use with AO to activate the animations but the HUD functions will disapper - of course.

(0017180)
aiaustin (developer)
2010-10-30 02:20

Note that I am not using an AO when the problems occur with spurious middle position HUD attachments appearing.

The HUD attachment I had was a simple one prim sphere in the left bottom attachment position running a single script (e.g. avatar radar or a script that reports the sim/region x,y position only).
(0017181)
WordfromtheWise (reporter)
2010-10-30 02:35

Additional note .. when i TP away from that specific Sim and e.g. Home to mine the Attchment is gone .. ater TPing back to the sim where it happend its immediatly reattached ..

When i disable my AO (some kind of ZHAO-II) it is gone
putting the AO back on .. its there

my friend uses some AO called male A= mit Anis by Tomm Remedy from the Germania 2 sim ..
(0017254)
kenvc (reporter)
2010-11-10 08:12

This issue is still there and happens just as often as before, even after the 11/09/2010 update that was specifically supposed to fix this problem.
(0017365)
kenvc (reporter)
2010-11-21 18:38

Problem still happening now even after the 11/18/2010 Release.
(0017577)
LaniGlobal (reporter)
2010-12-12 21:24
edited on: 2010-12-12 21:27

Tested this 12 Dec 2010.

This bug is still exists in recent versions of OpenSim 0.7.1

Bug: Hair and other peoples' avatar attachments appear on my hud when I wear any hud.

Workaround: Removal of all huds cures problem temporarily, however it also prevents use of the HUD!

Viewers tested with: Imprudence and Phoenix. Result: Same bug on both viewers.

Reproduced this bug in OSgrid regions:
OpenSim 0.7.1 Dev 8f1a79420be062ea59b3c04aacb439fb57713ac7 - 14371 (Unix/Mono)
OpenSim 0.7.1 Dev 8f1a7942 in OSgrid, Lani region
OpenSim 0.7.1 Dev 8f1a7942 in OSgrid, Samsara region.
and
OpenSim 0.7.1 Dev OSgrid 0.7.1 (Dev) ae9c4a4: 2010-11-09 (Win/.NET) in OSgrid, KaladanSpace region
and
Lbsa Plaza region of OSgrid

(0017635)
kenvc (reporter)
2010-12-18 09:06

Problem still happening with latest release from 12/14/2010. Sometimes the item on the screen is so large, the viewer is unusable.
(0017656)
WordfromtheWise (reporter)
2010-12-20 12:18

can confirm this issue for lates osgrid version from 12/14/2010.
on hippo + imprudence .. like written before if i TP away from that
sim the attachment is gone but TPing back it is again there ..

clearing viewer chache does not help
restarting the affected regions -> helps °

best regards,
Word

.. and btw. this mantis is still unassigned
(0017875)
kenvc (reporter)
2011-01-20 10:25

Problem still occuring even with latest v0.7.1 01/17/2011 release.
(0017879)
kenvc (reporter)
2011-01-22 07:01

Discovered todat that even with ALL huds removed, invisible hair was still in the center HUD position on the screen. I was able to right click on it and see the outline of the particular hair prim I clicked on, but when I selected edit, all options were grayed out. Option to remove did not appear in the right click menu and items does not appear in my list of worn items.

This is the first time I've hair in the center hud position without any other HUDs attached, and this is the first time I've found that clicking on it doesnt make the viewer crash, and this is the first time I've found invisible hair in the center HUD position. At any rate, this problem is still there and has been there for a very very long time.
(0020685)
justincc (administrator)
2012-01-13 18:02

Is this still an issue with current git master?
(0020686)
melanie (administrator)
2012-01-13 18:10

I have not seen HUD hair, ghost HUDs or HUDs dropped at 0,0,0, nor foxtails of death, in ages.
(0020702)
danbanner (manager)
2012-01-22 15:41
edited on: 2012-01-22 15:53

Seems this still happens..

[15:38] Rip Oxbar: dan why do i have someones hair style on my hud?

happened in lbsa plaza on osgrid

(0020703)
kenvc (reporter)
2012-01-22 15:44

I reported this originally, but have not seen it in a few months now. Apparently it is still happening to some people, but it may be on sims that have not updated opensim in a while.
(0020704)
LaniGlobal (reporter)
2012-01-22 18:32

Yes, this old issue that seems to have been fixed in 2011, seems to have come back in 0.7.3.
(0021208)
JamieWright (reporter)
2012-04-07 13:08

I experienced this bug this week with 7.4 in OSGrid at two different sims when trying to attach a zhao ao. Both sims are up to date and well maintained.
(0022847)
justincc (administrator)
2012-10-12 18:17

Is this bug still occurring? Further fixes have been made for this problem which were in the final release of OpenSimulator 0.7.4
(0022849)
kenvc (reporter)
2012-10-12 18:21

I originally reported this bug, but I have not seen it in a while. I do recall maybe a month or so ago, I saw hair flash on the screen for a few seconds then it went away, but thats been the extent of it for me. Looks like Jamie may be the last one to report seeing this so maybe he can provide more recent feedback.
(0022850)
aiaustin (developer)
2012-10-13 01:48
edited on: 2012-10-15 12:38

Yes Justin, I am seeing this on some of our add on OSGrid regions which are running 0.7.5 dev last packaged OSGrid lease from about a week ago and I am using latest LL and Firestorm viewers. It is a female pink pony tail hair attachment smack in the middle HUD position usually and I see no way to remove it, it cannot simply be detached, and does not show as a worn item anywhere. I sometimes also see one part of the ZHAO AO showing in this centre HUD position, and in that case it goes away if you remove the AO (which has two arts, a menu and an on-off button) from its usual HUD position (which for me was bottom right).

The regions were also freshly created in a new MYSQL data base instance of OpenSim.exe by dumping the previous SQLite version via a save OAR and so its not just a gradual build up of rubbish in the region data base I hope.

Like Lani, I had not seen the problem for a while, but recently started to see it again. Possibly on HG travels though, so I tended to assume it was old code too.

Now I know others may still have the problem I will try to take note of the circumstances and location it occurs in, so others can visit and see if it occurs for them.

(0022852)
aiaustin (developer)
2012-10-13 03:30
edited on: 2012-10-15 12:40

I just did some tests... the problem occurs for example on Vue-6400 which is an add-on region to OSGrid using the standard OSGrid most recent release...

OSgrid OpenSimulator 0.7.5.dev.4e9509d 09-28-2012 built from OpenSimulator git hash : 4e9509dafa016afd11674008c2e315f36ba1d698 : [r/20546]

The only significant changes to the standard OpenSim.ini and GridCommon.ini are to use MySQL rather than the default SQLite. But the problems happened when we used SQLite as well, so that is not significant.

The hair object in the central HUD seems to be owned by my main avatar which is the region owner, but that is likely because it was built from an OAR save on an earlier SQLite setup and loaded about 4 weeks ago to set up a fresh MySQL set of Vue OS-Grid regions.

It does not occur on every avatar though. I tried four test avatars and on two the pink hair piece shows up in the central HUD position, and on two it did not.

I then realised the two it showed up on has some HUDs in place, the other two did not. Suspecting the Zhao HUD the two avatars had in place I removed that but it made no difference on relogging. So I removed the final HUD item (a simple avatar detector) the avatars had attached and relogged, and the pink hair item was not present. I reattached the avatar detector and relogged and the pink hair piece appears again.

Attaching the single prim avatar detector to a HUD position shows the (unrelated) pink hair piece. I teleported the avatar to a different region and the avatar detector HUD was in place but the pink hair item had gone. Move back to Vue-6400 and it appears again.

More perversely, I remade the single prim avatar detector from scratch as a new prim, and added a new script inside it. Attached that again as a HUD and then went to Vue-6400 and the pink hair still reappears.

I now realise that the pink hair comes back up if ANY of the two attachments is still on and its not specifically related to the Zhao AO or the avatar detetctor. Last one taken off or re-attached in any order causes the pink hair hair to disappear and reappear in the central HUD position

Hope this more detailed description of the symptoms helps. I would be happy to run any suggested diagnostics in the OpenSim.exe console if that helps.

(0022853)
kenvc (reporter)
2012-10-13 08:01

Jason,
I think the reason I am not seeing this anymore is because I am using the animation overrider built into the browser and I no longer use a HUD. I recall others saying that this issue only happened to them when they were wearing a hud and that seems to be true based on my results. It looks like this issue is sometimes still there when you wear a hud.
(0024162)
kenvc (reporter)
2013-06-29 17:49

I have not seen this happen in a very long time and I have been wearing a HUD purposely to try to make this happen again. If the problem resurfaces, we can reopen this mantis or create a new one.

- Issue History
Date Modified Username Field Change
2010-10-22 15:25 kenvc New Issue
2010-10-22 15:25 kenvc Git Revision => 04743974-fa45-4b7c-9822-2157ac338d16
2010-10-22 15:25 kenvc SVN Revision => 0
2010-10-22 15:25 kenvc Run Mode => Grid (Multiple Regions per Sim)
2010-10-22 15:25 kenvc Physics Engine => ODE
2010-10-22 15:25 kenvc Environment => .NET / Windows64
2010-10-22 15:25 kenvc Mono Version => None
2010-10-22 21:46 kenvc Note Added: 0017079
2010-10-23 01:15 Snoopy Note Added: 0017082
2010-10-23 01:15 Snoopy Note Added: 0017083
2010-10-23 01:15 Snoopy Status new => acknowledged
2010-10-23 01:33 melanie Note Added: 0017084
2010-10-23 02:37 aiaustin Note Added: 0017085
2010-10-25 08:05 aiaustin Note Edited: 0017085
2010-10-25 08:08 aiaustin Note Added: 0017115
2010-10-25 08:20 Snoopy Note Added: 0017116
2010-10-25 08:31 aiaustin Summary v0.7.1 avitar hair appears in center hud position if any huds are attached => v0.7.1 Avatar hair appears in center hud position if any huds are attached
2010-10-25 08:33 aiaustin File Added: r14257-spurious-central-hud-position-attachment.jpg
2010-10-25 16:30 LaniGlobal Note Added: 0017121
2010-10-26 09:22 aiaustin Note Added: 0017135
2010-10-26 09:22 aiaustin File Added: faulty-central-hud-attachment-error.jpg
2010-10-26 09:24 aiaustin SVN Revision 0 => 14257
2010-10-26 09:24 aiaustin Environment .NET / Windows64 => .NET / Windows32, .NET / Windows64
2010-10-26 09:24 aiaustin Priority normal => high
2010-10-26 09:24 aiaustin Summary v0.7.1 Avatar hair appears in center hud position if any huds are attached => v0.7.1 Objects or Attachments such as avatar hair appears in center hud position
2010-10-26 09:24 aiaustin Description Updated
2010-10-26 09:25 aiaustin Note Edited: 0017135
2010-10-28 21:07 LaniGlobal Note Added: 0017165
2010-10-29 01:38 aiaustin Note Added: 0017168
2010-10-29 14:06 WordfromtheWise Note Added: 0017173
2010-10-30 00:54 Kim Note Added: 0017179
2010-10-30 00:57 Kim Note Edited: 0017179
2010-10-30 01:03 Kim Note Edited: 0017179
2010-10-30 01:04 Kim Note Edited: 0017179
2010-10-30 01:11 Kim Note Edited: 0017179
2010-10-30 01:11 Kim Note Edited: 0017179
2010-10-30 02:20 aiaustin Note Added: 0017180
2010-10-30 02:35 WordfromtheWise Note Added: 0017181
2010-11-10 08:12 kenvc Git Revision 04743974-fa45-4b7c-9822-2157ac338d16 => ae9c4a4d118e126b4f849bbfed112d0971459339
2010-11-10 08:12 kenvc SVN Revision 14257 =>
2010-11-10 08:12 kenvc Note Added: 0017254
2010-11-10 08:12 kenvc Priority high => urgent
2010-11-10 08:12 kenvc Severity major => crash
2010-11-10 08:12 kenvc Status acknowledged => confirmed
2010-11-10 08:12 kenvc Summary v0.7.1 Objects or Attachments such as avatar hair appears in center hud position => v0.7.1 Objects or Attachments such as avatar hair still appears in center hud position
2010-11-10 08:12 kenvc Description Updated
2010-11-21 18:38 kenvc Note Added: 0017365
2010-11-21 18:41 kenvc Summary v0.7.1 Objects or Attachments such as avatar hair still appears in center hud position => v0.7.1 11/18/2010 OSGrid release objects such as avatar hair still appears in center hud position
2010-11-21 18:41 kenvc Description Updated
2010-11-21 18:43 kenvc Summary v0.7.1 11/18/2010 OSGrid release objects such as avatar hair still appears in center hud position => v0.7.1 11/18/2010 OSGrid - objects such as avatar hair still appears in center hud position
2010-12-07 13:07 samiam Relationship added parent of 0005257
2010-12-07 13:08 samiam Relationship deleted parent of 0005257
2010-12-12 21:24 LaniGlobal Note Added: 0017577
2010-12-12 21:27 LaniGlobal Note Edited: 0017577
2010-12-18 09:06 kenvc Git Revision ae9c4a4d118e126b4f849bbfed112d0971459339 => ed26376
2010-12-18 09:06 kenvc Viewer => All Viewers
2010-12-18 09:06 kenvc Note Added: 0017635
2010-12-18 09:06 kenvc Summary v0.7.1 11/18/2010 OSGrid - objects such as avatar hair still appears in center hud position => 12/14/2010 OSGrid Release - objects such as avatar hair still appears in center hud position
2010-12-20 12:18 WordfromtheWise Note Added: 0017656
2011-01-05 15:29 kenvc Summary 12/14/2010 OSGrid Release - objects such as avatar hair still appears in center hud position => 12/22/2010 OSGrid Release - objects such as avatar hair still appears in center hud position
2011-01-20 10:25 kenvc Git Revision ed26376 => 9f7b37b
2011-01-20 10:25 kenvc Note Added: 0017875
2011-01-20 10:25 kenvc Summary 12/22/2010 OSGrid Release - objects such as avatar hair still appears in center hud position => 01/17/2011 0.7.1 9f7b37b - Objects such as avatar hair still appears in center hud position
2011-01-20 10:25 kenvc Description Updated
2011-01-22 07:01 kenvc Note Added: 0017879
2011-01-22 07:04 kenvc Description Updated
2011-01-22 07:08 kenvc Note Edited: 0017079
2012-01-13 18:02 justincc Note Added: 0020685
2012-01-13 18:10 melanie Note Added: 0020686
2012-01-22 15:41 danbanner Note Added: 0020702
2012-01-22 15:44 kenvc Note Added: 0020703
2012-01-22 15:53 danbanner Note Edited: 0020702 View Revisions
2012-01-22 18:32 LaniGlobal Note Added: 0020704
2012-04-07 13:08 JamieWright Note Added: 0021208
2012-10-12 18:17 justincc Note Added: 0022847
2012-10-12 18:21 kenvc Note Added: 0022849
2012-10-13 01:48 aiaustin Note Added: 0022850
2012-10-13 01:51 aiaustin Note Edited: 0022850 View Revisions
2012-10-13 01:53 aiaustin Note Edited: 0022850 View Revisions
2012-10-13 01:55 aiaustin Note Edited: 0022850 View Revisions
2012-10-13 01:55 aiaustin Note Edited: 0017135 View Revisions
2012-10-13 03:30 aiaustin Note Added: 0022852
2012-10-13 03:30 aiaustin File Added: 2012-10-13-OpenSim-0.7.5-OSGrid-Vue-6400-Central-HUD.jpg
2012-10-13 03:31 aiaustin File Deleted: 2012-10-13-OpenSim-0.7.5-OSGrid-Vue-6400-Central-HUD.jpg
2012-10-13 03:36 aiaustin File Added: 2012-10-13-OpenSim-0.7.5-OSGrid-Vue-6400-Central-HUD.jpg
2012-10-13 03:47 aiaustin Note Edited: 0022852 View Revisions
2012-10-13 03:48 aiaustin Note Edited: 0022852 View Revisions
2012-10-13 03:53 aiaustin Note Edited: 0022852 View Revisions
2012-10-13 08:01 kenvc Note Added: 0022853
2012-10-14 14:12 aiaustin Note Edited: 0022852 View Revisions
2012-10-14 14:13 aiaustin Note Edited: 0022852 View Revisions
2012-10-15 12:31 aiaustin Summary 01/17/2011 0.7.1 9f7b37b - Objects such as avatar hair still appears in center hud position => Objects such as avatar hair still appears in center hud position
2012-10-15 12:34 aiaustin Note Edited: 0017135 View Revisions
2012-10-15 12:36 aiaustin Note Edited: 0022850 View Revisions
2012-10-15 12:38 aiaustin Note Edited: 0022850 View Revisions
2012-10-15 12:40 aiaustin Note Edited: 0022852 View Revisions
2013-06-29 17:49 kenvc Note Added: 0024162
2013-06-29 17:49 kenvc Status confirmed => resolved
2013-06-29 17:49 kenvc Fixed in Version => master (dev code)
2013-06-29 17:49 kenvc Resolution open => fixed
2013-06-29 17:49 kenvc Assigned To => kenvc
2014-03-06 14:45 justincc Status resolved => closed
2014-03-06 14:46 justincc Assigned To kenvc =>


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker